Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.ui
Class MDIManager.BoardEventHandler

    java.lang.Object
      jpicedt.ui.MDIManager.BoardEventHandler

All Implemented Interfaces:
  EventListener, PropertyChangeListener, SelectionListener, UndoableEditListener

Enclosing class:
  MDIManager

protected class MDIManager.BoardEventHandler
extends Object
implements SelectionListener, UndoableEditListener, PropertyChangeListener

A handler for events triggered from any PEDrawingBoard, its PECanvas or its EditorKit.

Constructor Summary
`protected` | `MDIManager.BoardEventHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` Handler for "PropertyChange" events sources from either PECanvas or its EditorKit.
`void` | `selectionUpdate(SelectionEvent e)` Handler for "Selection" events triggered e.g.
`void` | `undoableEditHappened(UndoableEditEvent e)` Handler for "UndoableEdit" events sourced by PECanvas.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDIManager.BoardEventHandler

    protected MDIManager.BoardEventHandler()

Method Detail

### selectionUpdate

    public void selectionUpdate(SelectionEvent e)

  Handler for "Selection" events triggered e.g. by a click on a graphical object (from a given PEDrawingBoard) This takes the following actions:
  - marks the active drawing board as dirty and possibly adds a trailing "*" to the frame's title,
  - updates widgets states (ie menu items + toolbar buttons),
  - eventually notifies interested dockable panels (through the "dockablePanelsMap" hash table) that the state of the Drawing has changed (for instance, say there's a graphical object filled in red and we just selected it -> changes the current active fill colour to red in the attributes editor palette).

  Specified by:
    `selectionUpdate` in interface `SelectionListener`

### undoableEditHappened

    public void undoableEditHappened(UndoableEditEvent e)

  Handler for "UndoableEdit" events sourced by PECanvas. Updates undo/redo menu items and corresponding toolbar buttons.

  Specified by:
    `undoableEditHappened` in interface `UndoableEditListener`

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Handler for "PropertyChange" events sources from either PECanvas or its EditorKit. Simply forwards these events to all DockablePanel's which implement the PropertyChangeListener interface, as well as to the attached PEMenuBar.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org